Subject: [PATCH v2] extcon: Split out extcon header file for consumer and provider device

From: [email-masked] (Chanwoo Choi)
Date: Mon, 23 Oct 2017 14:31:51 +0900

Dear all,

I got the reviews from all maintainers related to this patch.
So, I make the immutable branch on extcon.git and then send
the pull request in order to prevent the possible merge conflict.

Best Regards,
Chanwoo Choi
Samsung Electronics

The following changes since commit 2bd6bf03f4c1c59381d62c61d03f6cc3fe71f66e:

  Linux 4.14-rc1 (2017-09-16 15:47:51 -0700)

are available in the git repository at:

  git://git.kernel.org/pub/scm/linux/kernel/git/chanwoo/extcon.git ib-extcon-v4.15

for you to fetch changes up to 176aa36012135d172394a928a03fb03dfecd83f9:

  extcon: Split out extcon header file for consumer and provider device (2017-10-23 14:07:58 +0900)

----------------------------------------------------------------
Chanwoo Choi (1):
      extcon: Split out extcon header file for consumer and provider device

 drivers/extcon/extcon-adc-jack.c              |   2 +-
 drivers/extcon/extcon-arizona.c               |   2 +-
 drivers/extcon/extcon-axp288.c                |   2 +-
 drivers/extcon/extcon-gpio.c                  |   2 +-
 drivers/extcon/extcon-intel-cht-wc.c          |   2 +-
 drivers/extcon/extcon-intel-int3496.c         |   2 +-
 drivers/extcon/extcon-max14577.c              |   2 +-
 drivers/extcon/extcon-max3355.c               |   2 +-
 drivers/extcon/extcon-max77693.c              |   2 +-
 drivers/extcon/extcon-max77843.c              |   2 +-
 drivers/extcon/extcon-max8997.c               |   2 +-
 drivers/extcon/extcon-qcom-spmi-misc.c        |   2 +-
 drivers/extcon/extcon-rt8973a.c               |   2 +-
 drivers/extcon/extcon-sm5502.c                |   2 +-
 drivers/extcon/extcon-usb-gpio.c              |   2 +-
 drivers/extcon/extcon-usbc-cros-ec.c          |   2 +-
 drivers/extcon/extcon.h                       |   2 +-
 drivers/phy/allwinner/phy-sun4i-usb.c         |   2 +-
 drivers/phy/broadcom/phy-bcm-ns2-usbdrd.c     |   2 +-
 drivers/phy/renesas/phy-rcar-gen3-usb2.c      |   2 +-
 drivers/phy/rockchip/phy-rockchip-inno-usb2.c |   2 +-
 drivers/power/supply/qcom_smbb.c              |   2 +-
 drivers/usb/gadget/udc/renesas_usb3.c         |   2 +-
 drivers/usb/phy/phy-tahvo.c                   |   2 +-
 include/linux/extcon-provider.h               | 142 ++++++++++++++++++++++++++
 include/linux/extcon.h                        | 109 +-------------------
 include/linux/mfd/palmas.h                    |   2 +-
 27 files changed, 172 insertions(+), 129 deletions(-)
 create mode 100644 include/linux/extcon-provider.h

On 2017? 10? 23? 14:05, Kishon Vijay Abraham I wrote:
> 
> 
> On Wednesday 18 October 2017 07:44 AM, Chanwoo Choi wrote:
>> Gently Ping.
>>
>> Dear Kishon,
>>
>> Could you please review this patch for 'drivers/phy/*'?
> 
> sorry for the delay.. here it is
> 
> Acked-by: Kishon Vijay Abraham I <[email-masked]>
>>
>> Regards,
>> Chanwoo Choi
>>
>> On 2017? 10? 12? 12:40, Chanwoo Choi wrote:
>>> Dear Kishon,
>>>
>>> Could you please review this patch?
>>> After that, I'll make the immutable brand and then send the pull request
>>> for power_supply, mfd, phy, usb and extcon framework.
>>>
>>> On 2017? 10? 10? 19:17, Chanwoo Choi wrote:
>>>> The extcon has two type of extcon devices as following.
>>>> - 'extcon provider deivce' adds new extcon device and detect the
>>>>    state/properties of external connector. Also, it notifies the
>>>>    state/properties to the extcon consumer device.
>>>> - 'extcon consumer device' gets the change state/properties
>>>>    from extcon provider device.
>>>> Prior to that, include/linux/extcon.h contains all exported API for
>>>> both provider and consumer device driver. To clarify the meaning of
>>>> header file and to remove the wrong use-case on consumer device,
>>>> this patch separates into extcon.h and extcon-provider.h.
>>>>
>>>> [Description for include/linux/{extcon.h|extcon-provider.h}]
>>>> - extcon.h includes the extcon API and data structure for extcon consumer
>>>>   device driver. This header file contains the following APIs:
>>>>   : Register/unregister the notifier to catch the change of extcon device
>>>>   : Get the extcon device instance
>>>>   : Get the extcon device name
>>>>   : Get the state of each external connector
>>>>   : Get the property value of each external connector
>>>>   : Get the property capability of each external connector
>>>>
>>>> - extcon-provider.h includes the extcon API and data structure for extcon
>>>>   provider device driver. This header file contains the following APIs:
>>>>   : Include 'include/linux/extcon.h'
>>>>   : Allocate the memory for extcon device instance
>>>>   : Register/unregister extcon device
>>>>   : Set the state of each external connector
>>>>   : Set the property value of each external connector
>>>>   : Set the property capability of each external connector
>>>>
>>>> Cc: Felipe Balbi <[email-masked]>
>>>> Cc: Kishon Vijay Abraham I <[email-masked]>
>>>> Cc: Greg Kroah-Hartman <[email-masked]>
>>>> Acked-by: Sebastian Reichel <[email-masked]>
>>>> Acked-by: Chen-Yu Tsai <[email-masked]>
>>>> Acked-by: Charles Keepax <[email-masked]>
>>>> Acked-by: Lee Jones <[email-masked]>
>>>> Signed-off-by: Chanwoo Choi <[email-masked]>
>>>> ---
>>>> Changes from v1:
>>>> - Don't touch drivers/usb/renesas_usbhs/common.h.
>>>> - Add acked-by from Sebastian Reichel (for drivers/power/supply/)
>>>> - Add acked-by from Chen-Yu Tsai (for phy-sun4i-usb.c & extcon-axp288.c)
>>>> - Add acked-by from Charles Keepax (for drivers/extcon/extcon-arizona.c)
>>>> - Add acked-by from Lee Jones (fo include/linux/mfd/palmas.h)
>>>>
>>>>  drivers/extcon/extcon-adc-jack.c              |   2 +-
>>>>  drivers/extcon/extcon-arizona.c               |   2 +-
>>>>  drivers/extcon/extcon-axp288.c                |   2 +-
>>>>  drivers/extcon/extcon-gpio.c                  |   2 +-
>>>>  drivers/extcon/extcon-intel-cht-wc.c          |   2 +-
>>>>  drivers/extcon/extcon-intel-int3496.c         |   2 +-
>>>>  drivers/extcon/extcon-max14577.c              |   2 +-
>>>>  drivers/extcon/extcon-max3355.c               |   2 +-
>>>>  drivers/extcon/extcon-max77693.c              |   2 +-
>>>>  drivers/extcon/extcon-max77843.c              |   2 +-
>>>>  drivers/extcon/extcon-max8997.c               |   2 +-
>>>>  drivers/extcon/extcon-qcom-spmi-misc.c        |   2 +-
>>>>  drivers/extcon/extcon-rt8973a.c               |   2 +-
>>>>  drivers/extcon/extcon-sm5502.c                |   2 +-
>>>>  drivers/extcon/extcon-usb-gpio.c              |   2 +-
>>>>  drivers/extcon/extcon-usbc-cros-ec.c          |   2 +-
>>>>  drivers/extcon/extcon.h                       |   2 +-
>>>>  drivers/phy/allwinner/phy-sun4i-usb.c         |   2 +-
>>>>  drivers/phy/broadcom/phy-bcm-ns2-usbdrd.c     |   2 +-
>>>>  drivers/phy/renesas/phy-rcar-gen3-usb2.c      |   2 +-
>>>>  drivers/phy/rockchip/phy-rockchip-inno-usb2.c |   2 +-
>>>>  drivers/power/supply/qcom_smbb.c              |   2 +-
>>>>  drivers/usb/gadget/udc/renesas_usb3.c         |   2 +-
>>>>  drivers/usb/phy/phy-tahvo.c                   |   2 +-
>>>>  include/linux/extcon-provider.h               | 142 ++++++++++++++++++++++++++
>>>>  include/linux/extcon.h                        | 109 +-------------------
>>>>  include/linux/mfd/palmas.h                    |   2 +-
>>>>  27 files changed, 172 insertions(+), 129 deletions(-)
>>>>  create mode 100644 include/linux/extcon-provider.h

[snip]